/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mit Jun 28 14:26:32 MEST 2000
    copyright            : (C) 2000 by Christoph Maciejewski
    email                : macchristoph@yahoo.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kencoder.h"
#include "kencfront.h"
 
int main(int argc, char *argv[])
{
  KApplication a(argc, argv, "kencoder");
  
  //KEncoder *kencoder = new KEncoder();
  kencfront *kencoder = new kencfront();
  a.setMainWidget(kencoder);
  kencoder->setIcon(*IMAGE_LOGO);
  kencoder->show();  

  return a.exec();
}

void kencfront::dropAction(KDNDDropZone *dndZone)
{
	QString url;
	
	url = dndZone->getURLList().first();     // liefert: "file:/..." zurck
	url.replace( 0, 5, "" );                 // lscht: "file:" am Anfang
	
		
	if( Quelle->isEnabled() )           //Drag'nDrop nur, wenn alles aktiv!
	 {
	  if(url.right(3)=="wav")
	   {
	     insItem(url);
     }else warnungWav(url);
	 }
}

void kencfront::resizeEvent( QResizeEvent * )
{
    //this->resize(470,370);
    status->setGeometry(10,this->height()-22,450,20);
    KSeparator_1->setGeometry(5,this->height()-28,this->width()-12,10);
    Progress->setGeometry(10,this->height()-50,this->width()-20,20);
    QGroupBox_3->setGeometry(10,this->height()-130,150,70);
    Meldung->setGeometry(160,this->height()-130,this->width()-170,70);
    QGroupBox_1->setGeometry(10,this->height()-260,this->width()-20,130);
    QGroupBox_2->setGeometry(20,this->height()-220,160,50);

    Ziel->setGeometry(this->width()/1.88,30,this->width()/2.61,this->height()-330);
    QLabel_3->setGeometry(this->width()/1.88,this->height()-300,210,20);
    QPushButton_2->setGeometry(this->width()/1.88+this->width()/2.61,30,30,(this->height()-330)/2);

    Quelle->setGeometry(10,30,this->width()/2.61,this->height()-330);
    QLabel_2->setGeometry(10,this->height()-300,210,20);
    QLabel_4->setGeometry(10,this->height()-283,100,16);
    QPushButton_1->setGeometry(this->width()/2.61+10,30,30,(this->height()-330)/2);
    Button_loesch->setGeometry(this->width()/2.61+10,(this->height()-330)/2+30,30,(this->height()-330)/2);

    Lcd->setGeometry(this->width()/2.61+45,60,this->width()/22,this->width()/22);

}

void kencfront::warnungWav(QString url)
{

   switch( QMessageBox::warning( this, i18n("Warnung"), i18n("Die Datei scheint keine WAV-Datei zu sein.\nTrotzdem einfgen?")
                                 ,3, 4, 0 ))
         {
          case QMessageBox::Yes:
            insItem(url);
            break;
          case QMessageBox::No:
            status->setText(i18n("Datei wurde nicht eingefgt."));
            break;

         }



}




















































